Module | ActiveRecord::Locking::Optimistic::ClassMethods
In: | lib/active_record/locking/optimistic.rb

### Methods

locking_column quoted_locking_column reset_locking_column set_locking_column

### Constants

DEFAULT_LOCKING_COLUMN | = | 'lock_version'

### Public Instance methods

locking_column()

The version column used for optimistic locking. Defaults to lock_version.

quoted_locking_column()

Quote the column name used for optimistic locking.

reset_locking_column()

Reset the column used for optimistic locking back to the lock_version default.

set_locking_column(value = nil, &block)

Set the column to use for optimistic locking. Defaults to lock_version.

[Validate]